Bug 1752298 - Review Request: python-wurlitzer - Capture C-level output in context managers
Summary: Review Request: python-wurlitzer - Capture C-level output in context managers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-15 19:49 UTC by Mukundan Ragavan
Modified: 2019-09-29 00:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-29 00:25:50 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Mukundan Ragavan 2019-09-15 19:49:52 UTC
Spec URL: https://nonamedotc.fedorapeople.org/pkgreview/python-packages/python-wurlitzer/python-wurlitzer.spec
SRPM URL: https://nonamedotc.fedorapeople.org/pkgreview/python-packages/python-wurlitzer/python-wurlitzer-1.0.3-1.fc31.src.rpm


Description: Capture C-level stdout/stderr pipes in Python via os.dup2.

Fedora Account System Username: nonamedotc

Comment 1 Mukundan Ragavan 2019-09-15 20:22:56 UTC
koji scratch build - https://koji.fedoraproject.org/koji/taskinfo?taskID=37674985

Comment 2 Elliott Sales de Andrade 2019-09-16 05:04:31 UTC
Can replace Source0 with %pypi_source.
There appears to be a test in the tarball, but you don't have a %check.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 9 files have unknown
     license. Detailed output of licensecheck in
     1752298-python-wurlitzer/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-wurlitzer-1.0.3-1.fc32.noarch.rpm
          python-wurlitzer-1.0.3-1.fc32.src.rpm
python3-wurlitzer.noarch: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
python3-wurlitzer.noarch: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
python3-wurlitzer.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-wurlitzer.src: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
python-wurlitzer.src: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
python-wurlitzer.src: W: spelling-error %description -l en_US os -> OS, och, so
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python3-wurlitzer.noarch: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
python3-wurlitzer.noarch: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
python3-wurlitzer.noarch: W: spelling-error %description -l en_US os -> OS, och, so
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/w/wurlitzer/wurlitzer-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : f972c329da26e397b06a3f85be06145a47fb5d3fe138a83d84bde1e76e214b59
  CHECKSUM(SHA256) upstream package : f972c329da26e397b06a3f85be06145a47fb5d3fe138a83d84bde1e76e214b59


Requires
--------
python3-wurlitzer (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-wurlitzer:
    python-wurlitzer
    python3-wurlitzer
    python3.8dist(wurlitzer)
    python3dist(wurlitzer)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1752298 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Perl, R, fonts, Haskell, SugarActivity, Java, PHP, Ocaml, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Mukundan Ragavan 2019-09-16 23:47:56 UTC
Thanks for the review.


(In reply to Elliott Sales de Andrade from comment #2)
> Can replace Source0 with %pypi_source.

---> I did not know about this macro. Now using. 

> There appears to be a test in the tarball, but you don't have a %check.
> 

---> Enabled test.


> [!]: %check is present and all tests pass.

---> Enabled test now.


Updated SPEC: https://nonamedotc.fedorapeople.org/pkgreview/python-packages/python-wurlitzer/rev1/python-wurlitzer.spec
Updated SRPM: https://nonamedotc.fedorapeople.org/pkgreview/python-packages/python-wurlitzer/rev1/python-wurlitzer-1.0.3-2.fc31.src.rpm


Scratch build with test enabled: https://koji.fedoraproject.org/koji/taskinfo?taskID=37694288

Comment 4 Elliott Sales de Andrade 2019-09-17 09:10:31 UTC
Approved.

Comment 5 Mukundan Ragavan 2019-09-17 09:28:39 UTC
Thanks a lot for the review. Let me know if you need something reviewed.

Comment 6 Gwyn Ciesla 2019-09-17 13:15:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-wurlitzer


Note You need to log in before you can comment on or make changes to this bug.